javax.xml.registry

## Interface BulkResponse

- All Superinterfaces:
    JAXRResponse

      public interface BulkResponse
      extends JAXRResponse

  Contains the response of a method in the API that performs a bulk operation and returns a bulk response. Partial commits are allowed on a bulk operation.

  In the event of a partial success where only a subset of objects were processed successfully, the getStatus method of the BulkResponse must return JAXRResponse.STATUS_WARNING. In this case, a Collection of JAXRException instances is included in the BulkResponse instance. The JAXRExceptions provide information on each error that prevented some objects in the request to not be processed successfully.

  Author:
    Farrukh S. Najmi
  See Also:
    `QueryManager`, `LifeCycleManager`

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.registry.JAXRResponse

      `STATUS_FAILURE, STATUS_SUCCESS, STATUS_UNAVAILABLE, STATUS_WARNING`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection` | `getCollection()` Get the Collection of objects returned as a response of a bulk operation.
    `Collection` | `getExceptions()` Get the Collection of RegistryException instances in case of partial commit.
    `boolean` | `isPartialResponse()` Determines whether the response is a partial response due to large result set.

    - ### Methods inherited from interface javax.xml.registry.JAXRResponse

      `getRequestId, getStatus, isAvailable`

- - ### Method Detail

    - #### getCollection

          Collection getCollection()
                                   throws JAXRException

      Get the Collection of objects returned as a response of a bulk operation. Caller thread will block here if result is not yet available.

      Capability Level: 0
      Returns:
        Collection of RegistryObject instances. The Collection may be empty but not null.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `RegistryObject`

    - #### getExceptions

          Collection getExceptions()
                                   throws JAXRException

      Get the Collection of RegistryException instances in case of partial commit. Caller thread will block here if result is not yet available.

      Capability Level: 0
      Returns:
        Collection of RegistryException instances. Return null if result is available and there is no RegistryException.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `RegistryException`

    - #### isPartialResponse

          boolean isPartialResponse()
                                    throws JAXRException

      Determines whether the response is a partial response due to large result set.

      Capability Level: 0
      Returns:
        `true` if the response is partial; `false` otherwise
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.